ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
odf.element.Text Class Reference
Inheritance diagram for odf.element.Text:
[legend]
Collaboration diagram for odf.element.Text:
[legend]

## Public Member Functions
| __init__ (self, data)
| __str__ (self)
| __unicode__ (self)
| toXml (self, level, f)
| Write XML in UTF-8.
Public Member Functions inherited from odf.element.Childless
| appendChild (self, node)
| Raises an error.
| hasChildNodes (self)
| insertBefore (self, newChild, refChild)
| Raises an error.
| removeChild (self, oldChild)
| Raises an error.
| replaceChild (self, newChild, oldChild)
| Raises an error.
Public Member Functions inherited from odf.element.Node
| hasChildNodes (self)
| Tells whether this element has any children; text nodes, subelements whatever.
| insertBefore (self, newChild, refChild)
| Inserts the node newChild before the existing child node refChild.
| appendChild (self, newChild)
| Adds the node newChild to the end of the list of children of this node.
| removeChild (self, oldChild)
| Removes the child node indicated by oldChild from the list of children, and returns it.

## Public Attributes
| data
Public Attributes inherited from odf.element.Node
| tagName
| The DOM does not clearly specify what to return in this case.

## Static Public Attributes
| nodeType = Node.TEXT_NODE
str | tagName = "Text"
Static Public Attributes inherited from odf.element.Childless
| attributes = None
| childNodes = EmptyNodeList()
| firstChild = None
| lastChild = None
Static Public Attributes inherited from odf.element.Node
| parentNode = None
| nextSibling = None
| previousSibling = None
| doc

## Additional Inherited Members
Protected Member Functions inherited from odf.element.Childless
| _get_firstChild (self)
| _get_lastChild (self)
Protected Member Functions inherited from odf.element.Node
| _get_childNodes (self)
| _get_firstChild (self)
| _get_lastChild (self)

## Detailed Description

Definition at line 326 of file element.py.

## Constructor & Destructor Documentation

## ◆ __init__()

odf.element.Text.__init__ | ( |  | self,
|  |  | data
| ) |  |

Definition at line 330 of file element.py.

## Member Function Documentation

## ◆ __str__()

odf.element.Text.__str__ | ( |  | self | ) |

Reimplemented from odf.element.Node.

Definition at line 333 of file element.py.

## ◆ __unicode__()

odf.element.Text.__unicode__ | ( |  | self | ) |

Reimplemented from odf.element.Node.

Definition at line 336 of file element.py.

## ◆ toXml()

odf.element.Text.toXml | ( |  | self,
|  |  | level,
|  |  | f
| ) |  |

Write XML in UTF-8.

Reimplemented in odf.element.CDATASection.

Definition at line 340 of file element.py.

Here is the call graph for this function:

## Member Data Documentation

## ◆ data

odf.element.Text.data

Definition at line 331 of file element.py.

## ◆ nodeType

odf.element.Text.nodeType = Node.TEXT_NODE
| static

Definition at line 327 of file element.py.

## ◆ tagName

str odf.element.Text.tagName = "Text"
| static

Definition at line 328 of file element.py.

The documentation for this class was generated from the following file:

- odf/element.py